From: Carl Baldwin <cnb@ball.(none)>
Date: Mon, 31 Oct 2005 02:48:08 +0000 (-0700)
Subject: Some fixes to burn script
X-Git-Tag: release-0.4~36
X-Git-Url: http://git.pippins.net/%27%20.%20%24this-%3Ephpgw_js_url%20.%20%27/jscalendar/calendar-win2k-cold-1.css?a=commitdiff_plain;h=f26370ff090f709dc762b166a6f56fdf4ea1ed60;p=backups%2F.git

Some fixes to burn script
---

diff --git a/scripts/Makefile.am b/scripts/Makefile.am
index 9416923..2022b47 100644
--- a/scripts/Makefile.am
+++ b/scripts/Makefile.am
@@ -1,4 +1,5 @@
 bin_SCRIPTS = \
+	burn-imgs.sh \
 	config.sh \
 	cron.sh \
 	eject-disk.sh \
diff --git a/scripts/burn-imgs.sh b/scripts/burn-imgs.sh
index 0e1a6bf..52296e8 100755
--- a/scripts/burn-imgs.sh
+++ b/scripts/burn-imgs.sh
@@ -11,8 +11,12 @@ touch $noburnfile
 # Discover disk images by looking for .img.md5sum files in $imagedir
 imgmd5=$(ls $imagedir/*.img.md5sum | head -n 1)
 
+echo MD5 file: $imgmd5
+
 logfile=$(tempfile)
 
+echo Logfile: $logfile
+
 # If we didn't find an non-empty file then exit gracefully
 [ -z "$imgmd5" ] && exit 0
 [ -s "$imgmd5" ] || exit 0
@@ -20,12 +24,14 @@ logfile=$(tempfile)
 # Get the name of the disk image by stripping off the tailing '.md5sum'
 img=${imgmd5%.md5sum}
 
+echo Image: $img
+
 # A little paranoia.  Make sure the disk image file is there.
 [ -z "$img" ] && exit 1
 [ -s "$img" ] || exit 1
 
 # Burn the image to a disk.
-cdrecord-wrapper.sh -dao dev=$sdev $isoimage > $logfile 2>&1
+cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
 
 if [ "0" != "$?" ]; then
   echo >&2 "cdrecord failed!"
@@ -34,10 +40,11 @@ fi
 
 # Now verify the disk by running md5sum on the entire contents of the disk
 md5sum=$(tempfile)
+echo Md5sum: $md5sum
 dd if=$dev bs=1M count=4440 2>$logfile | md5sum | awk '{print$1}' > $md5sum
 
 # Check that the md5sums match
-if ! cmp $md5sum $isoimage.md5sum; then
+if ! cmp $md5sum $img.md5sum; then
   echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
   exit 1
 fi
@@ -56,7 +63,7 @@ date >> $img.stat
 } | mailx -s "DVD burned.  File as ${img%.*}" $mailto > $logfile 2>&1
 
 # Two lines in the stat file indicate two successful burns.  Clean-up the image.
-if [ "$(wc -l $img.stat 2>/dev/null)" == "2" ]; then
+if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
   # Burned the image twice.  Removing it and associated files!
   rm -f $img{,.md5sum,.stat}
   [ -d $img.mnt ] && rmdir $img.mnt